%define name     speex
%define libname	 %mklibname %name 0.99
%define ver      1.0
%define pre	 rc3
%define rel      0.%{pre}.1mdk

Summary: An open-source, patent-free speech codec
Name: %name
Version: %ver
Release: %rel
License: BSD
Group: Sound
Source: http://www.speex.org/download/%{name}-%{ver}%pre.tar.bz2
Patch: speex-1.0beta3-libmajor.patch.bz2
URL: http://www.speex.org/
BuildRoot: %_tmppath/%{name}-build-root
BuildRequires: libogg-devel

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package -n %libname
Summary: Shared library of the Speex codec
Group: System/Libraries

%description -n %libname
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n %libname-devel
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Provides:	libspeex-devel = %version-%release

%description -n %libname-devel
Speex development files.

%package -n %libname-static-devel
Summary:	Speex static library 
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%release

%description -n %libname-static-devel
Speex static library for developing applications based on Speex.

%prep
%setup -q -n %name-%version%pre
%patch

%build
automake
export CFLAGS='%optflags -DRELEASE'
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_datadir/doc/manual.pdf

%clean
rm -rf %buildroot

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING AUTHORS ChangeLog NEWS README
/usr/share/man/man1/speexenc.1*
/usr/share/man/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*

%files -n %libname
%attr(755,root,root) %{_libdir}/libspeex*.so.*

%files -n %libname-devel
%defattr(644,root,root,755)
%doc doc/manual.pdf
%{_libdir}/libspeex*.la
%{_libdir}/libspeex*.so
%{_includedir}/speex*.h

%files -n %libname-static-devel
%defattr(644,root,root,755)
%{_libdir}/libspeex*.a

%changelog
* Mon Mar  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc3.1mdk
- new version

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.2mdk
- remove obsolete configure options
- move manual to devel package

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.%{pre}.1mdk
- buildrequires libogg-devel

* Wed Jan 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.1mdk
- new version

* Fri Jan 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc1.1mdk
- new version

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.beta4.1mdk
- new version

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.beta3.1mdk
- initial Mandrake package

* Thu Oct 03 2002 Jean-Marc Valin 
- Added devel package inspired from PLD spec file

* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.
